Page MenuHomePhabricator

BlueSpice extensions in REL1_27 have manifest_version: 2 which is not available
Closed, InvalidPublic

Description

A lot of BlueSpice extensions have an extension.json in REL1_27 that claims to be version 2. That is not available in REL1_27!

BlueSpiceAbout/extension.json: unsupported manifest_version: 2
BlueSpiceArticleInfo/extension.json: unsupported manifest_version: 2
BlueSpiceAuthors/extension.json: unsupported manifest_version: 2
BlueSpiceAvatars/extension.json: unsupported manifest_version: 2
BlueSpiceBlog/extension.json: unsupported manifest_version: 2
BlueSpiceChecklist/extension.json: unsupported manifest_version: 2
BlueSpiceConfigManager/extension.json: unsupported manifest_version: 2
BlueSpiceDashboards/extension.json: unsupported manifest_version: 2
BlueSpiceExtendedStatistics/extension.json: unsupported manifest_version: 2
BlueSpiceGroupManager/extension.json: unsupported manifest_version: 2
BlueSpiceInsertCategory/extension.json: unsupported manifest_version: 2
BlueSpiceInsertLink/extension.json: unsupported manifest_version: 2
BlueSpiceInsertMagic/extension.json: unsupported manifest_version: 2
BlueSpiceInterWikiLinks/extension.json: unsupported manifest_version: 2
BlueSpiceNamespaceCSS/extension.json: unsupported manifest_version: 2
BlueSpiceNamespaceManager/extension.json: unsupported manifest_version: 2
BlueSpicePageAccess/extension.json: unsupported manifest_version: 2
BlueSpicePageAssignments/extension.json: unsupported manifest_version: 2
BlueSpicePageTemplates/extension.json: unsupported manifest_version: 2
BlueSpicePermissionManager/extension.json: unsupported manifest_version: 2
BlueSpiceReaders/extension.json: unsupported manifest_version: 2
BlueSpiceRSSFeeder/extension.json: unsupported manifest_version: 2
BlueSpiceSmartlist/extension.json: unsupported manifest_version: 2
BlueSpiceSmartList/extension.json: unsupported manifest_version: 2
BlueSpiceUEModulePDF/extension.json: unsupported manifest_version: 2
BlueSpiceUniversalExport/extension.json: unsupported manifest_version: 2
BlueSpiceWhoIsOnline/extension.json: unsupported manifest_version: 2

Event Timeline

hashar triaged this task as Normal priority.Jun 21 2018, 8:39 PM
hashar created this task.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 21 2018, 8:39 PM

Probably those extensions do not have a REL1_27 branches. The CI job would have fetched REL1_27 for mediawiki/core but fall back to master branch for the extension. That would explain the failure.

hashar closed this task as Invalid.Jun 21 2018, 9:39 PM

Confirmed, all those repositories are missing a REL1_27 branch :]

--- manifest2.log	2018-06-21 23:38:05.587220782 +0200
+++ miss1_27.log	2018-06-21 23:38:54.962878619 +0200
@@ -5,9 +5,12 @@
 BlueSpiceBlog
 BlueSpiceChecklist
 BlueSpiceConfigManager
+BlueSpiceContextMenu
+BlueSpiceCountThings
 BlueSpiceDashboards
 BlueSpiceExtendedStatistics
 BlueSpiceGroupManager
+BlueSpiceHideTitle
 BlueSpiceInsertCategory
 BlueSpiceInsertLink
 BlueSpiceInsertMagic
@@ -16,12 +19,16 @@
 BlueSpiceNamespaceManager
 BlueSpicePageAccess
 BlueSpicePageAssignments
+BlueSpicePagesVisited
 BlueSpicePageTemplates
 BlueSpicePermissionManager
 BlueSpiceReaders
 BlueSpiceRSSFeeder
+BlueSpiceSaferEdit
 BlueSpiceSmartlist
 BlueSpiceSmartList
 BlueSpiceUEModulePDF
 BlueSpiceUniversalExport
+BlueSpiceUsageTracker
+BlueSpiceUserManager
 BlueSpiceWhoIsOnline
Vvjjkkii renamed this task from BlueSpice extensions in REL1_27 have manifest_version: 2 which is not available to 0haaaaaaaa.Jul 1 2018, 1:02 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii raised the priority of this task from Normal to High.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed a subscriber: Aklapper.
CommunityTechBot renamed this task from 0haaaaaaaa to BlueSpice extensions in REL1_27 have manifest_version: 2 which is not available.Jul 2 2018, 11:10 AM
CommunityTechBot closed this task as Invalid.
CommunityTechBot lowered the priority of this task from High to Normal.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot added a subscriber: Aklapper.